
Foreman - Bug #4564

"Creating scope :roots. Overwriting existing method Hostgroup.roots." log messages

03/06/2014 08:49 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Rails   

Target version: 1.6.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The hostgroup model defines ancestry twice, once directly and once via NestedAncestryCommon.  This generates some log

warnings (noticeable in production mode):

Creating scope :roots. Overwriting existing method Hostgroup.roots.

Creating scope :ancestors_of. Overwriting existing method Hostgroup.ancestors_of.

Creating scope :children_of. Overwriting existing method Hostgroup.children_of.

Creating scope :descendants_of. Overwriting existing method Hostgroup.descendants_of.

Creating scope :subtree_of. Overwriting existing method Hostgroup.subtree_of.

Creating scope :siblings_of. Overwriting existing method Hostgroup.siblings_of.

Creating scope :ordered_by_ancestry. Overwriting existing method Hostgroup.ordered_by_ancestry.

Creating scope :ordered_by_ancestry_and. Overwriting existing method Hostgroup.ordered_by_ancestry

_and.

Creating scope :before_depth. Overwriting existing method Hostgroup.before_depth.

Creating scope :to_depth. Overwriting existing method Hostgroup.to_depth.

Creating scope :at_depth. Overwriting existing method Hostgroup.at_depth.

Creating scope :from_depth. Overwriting existing method Hostgroup.from_depth.

Creating scope :after_depth. Overwriting existing method Hostgroup.after_depth.

 The has_ancestry definition should be removed from hostgroup.

Associated revisions

Revision 182b148c - 07/03/2014 08:32 AM - Ori Rabin

fixes #4564 - has_ancestry definition should be removed from hostgroup.

History

#1 - 07/02/2014 10:18 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin

- Target version set to 1.8.1

- translation missing: en.field_release set to 10

https://github.com/theforeman/foreman/pull/1554

#2 - 07/03/2014 09:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 182b148ca25a003874d5c9a14cbc955025622eee.
